Subject: Re: [bug#52789] [PATCH 1/3] gnu: Add libunibreak.

From: Nicolas Goaziou <[email-masked]>
Date: Sun, 26 Dec 2021 21:54:25 +0100

Hello,

Felix Gruber <[email-masked]> writes:

> * gnu/packages/unicode.scm (libunibreak): New variable.

Thanks.

However, the check phase fails for me with the following backtrace:

--8<---------------cut here---------------start------------->8---
starting phase `check'
Making check in src
make[1]: Entering directory '/tmp/guix-build-libunibreak-4.2-1.drv-0/source/src'
gcc -DHAVE_CONFIG_H -I. -I..  -I.   -g -O2 -MT tests-tests.o -MD -MP -MF .deps/tests-tests.Tpo -c -o tests-tests.o `test -f 'tests.c' || echo './'`tests.c
make  tests
make[2]: Entering directory '/tmp/guix-build-libunibreak-4.2-1.drv-0/source/src'
gcc -DHAVE_CONFIG_H -I. -I..  -I.   -g -O2 -MT tests-tests.o -MD -MP -MF .deps/tests-tests.Tpo -c -o tests-tests.o `test -f 'tests.c' || echo './'`tests.c
mv -f .deps/tests-tests.Tpo .deps/tests-tests.Po
/gnu/store/vx6vfbmmazvfi7vp8xyjn2mcyylvw9gn-bash-minimal-5.1.8/bin/bash ../libtool  --tag=CC   --mode=link gcc  -g -O2   -o tests tests-tests.o libunibreak.la 
mv -f .deps/tests-tests.Tpo .deps/tests-tests.Po
mv: cannot stat '.deps/tests-tests.Tpo': No such file or directory
make[2]: *** [Makefile:577: tests-tests.o] Error 1
make[2]: Leaving directory '/tmp/guix-build-libunibreak-4.2-1.drv-0/source/src'
make[1]: *** [Makefile:702: check-am] Error 2
make[1]: *** Waiting for unfinished jobs....
libtool: link: gcc -g -O2 -o .libs/tests tests-tests.o  ./.libs/libunibreak.so -Wl,-rpath -Wl,/gnu/store/s8vii50z9pw3q48dmmgfcbv613dhwfmc-libunibreak-4.2-1/lib
make[1]: Leaving directory '/tmp/guix-build-libunibreak-4.2-1.drv-0/source/src'
make: *** [Makefile:458: check-recursive] Error 1
--8<---------------cut here---------------end--------------->8---

Also, libunibreak 5.0 is out. Would it make sense to update it?

Regard,
-- 
Nicolas Goaziou